# std::list<T,Allocator>::push_front

From cppreference.com
< cpp‎ | container‎ | list

void push_front( const T& value ); |  |
void push_front( T&& value ); |  | (since C++11)

Prepends the given element `value` to the beginning of the container.

No iterators or references are invalidated.

### Parameters

value | - | the value of the element to prepend

### Return value

(none)

### Complexity

Constant.

### Exceptions

If an exception is thrown, this function has no effect (strong exception guarantee).

### See also

emplace_front (C++11) | constructs an element in-place at the beginning (public member function)
push_back | adds an element to the end (public member function)
pop_front | removes the first element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/list/push_front&oldid=50536"